CREATE TABLE cst_wo_transaction_layers (
    WO_TRANSACTION_LAYER_ID        NUMBER(18, 0) ,
    TRANSACTION_ID                 NUMBER(18, 0)     NOT NULL,
    WIP_REC_TRXN_ID                NUMBER(18, 0)     NOT NULL,
    WIP_DEP_TRXN_ID                NUMBER(18, 0)     NOT NULL,
    COST_ORG_ID                    NUMBER(18, 0)     NOT NULL,
    COST_BOOK_ID                   NUMBER(18, 0)     NOT NULL,
    CST_WORK_ORDER_ID              NUMBER(18, 0)     NOT NULL,
    CST_WORK_ORDER_OPERATION_ID    NUMBER(18, 0)     NOT NULL,
    OPERATION_SEQ_NUMBER           NUMBER        ,
    VAL_UNIT_ID                    NUMBER(18, 0) ,
    INVENTORY_ITEM_ID              NUMBER(18, 0)     NOT NULL,
    WIP_ITEM_TYPE                  VARCHAR2(120)     NOT NULL,
    TRANSACTION_TYPE               VARCHAR2(120)     NOT NULL,
    TRANSACTION_DATE               TIMESTAMP(6)      NOT NULL,
    QUANTITY                       NUMBER            NOT NULL,
    REWORK_FLAG                    VARCHAR2(4)   ,
    UOM_CODE                       VARCHAR2(12)      NOT NULL,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    REQUEST_ID                     NUMBER(18, 0) ,
    JOB_DEFINITION_NAME            VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE         VARCHAR2(3600),
    WO_TRANSACTION_LAYER_ID        NUMBER(18, 0) ,
    TRANSACTION_ID                 NUMBER(18, 0)     NOT NULL,
    WIP_REC_TRXN_ID                NUMBER(18, 0)     NOT NULL,
    WIP_DEP_TRXN_ID                NUMBER(18, 0)     NOT NULL,
    COST_ORG_ID                    NUMBER(18, 0)     NOT NULL,
    COST_BOOK_ID                   NUMBER(18, 0)     NOT NULL,
    CST_WORK_ORDER_ID              NUMBER(18, 0)     NOT NULL,
    CST_WORK_ORDER_OPERATION_ID    NUMBER(18, 0)     NOT NULL,
    OPERATION_SEQ_NUMBER           NUMBER        ,
    VAL_UNIT_ID                    NUMBER(18, 0) ,
    INVENTORY_ITEM_ID              NUMBER(18, 0)     NOT NULL,
    WIP_ITEM_TYPE                  VARCHAR2(120)     NOT NULL,
    TRANSACTION_TYPE               VARCHAR2(120)     NOT NULL,
    TRANSACTION_DATE               TIMESTAMP(6)      NOT NULL,
    QUANTITY                       NUMBER            NOT NULL,
    UOM_CODE                       VARCHAR2(12)      NOT NULL,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    REQUEST_ID                     NUMBER(18, 0) ,
    JOB_DEFINITION_NAME            VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE         VARCHAR2(3600),
    REWORK_FLAG                    VARCHAR2(4)   ,
    CONSTRAINT pk_cst_wo_transaction_layers PRIMARY KEY (WO_TRANSACTION_LAYER_ID, WO_TRANSACTION_LAYER_ID)
);
